use uuid::Uuid;

mod block;
mod comment;
mod follow_request;
mod profile;
mod react;
mod submission;

pub(crate) struct ProfileCreated {
    profile_id: Uuid,
}

pub(crate) struct ProfileUpdated {
    profile_id: Uuid,
}

pub(crate) struct ProfileDeleted {
    profile_id: Uuid,
}

pub(crate) struct SubmissionCreated {
    submission_id: Uuid,
}

pub(crate) struct SubmissionUpdated {
    submission_id: Uuid,
}

pub(crate) struct SubmissionDeleted {
    profile_id: Uuid,
    submission_id: Uuid,
}

pub(crate) struct CommentCreated {
    comment_id: Uuid,
}

pub(crate) struct CommentUpdated {
    comment_id: Uuid,
}

pub(crate) struct CommentDeleted {
    profile_id: Uuid,
    comment_id: Uuid,
}

pub(crate) struct ReactCreated {
    react_id: Uuid,
}

pub(crate) struct ReactDeleted {
    profile_id: Uuid,
    react_id: Uuid,
}

pub(crate) struct FollowRequested {
    follow_request_id: Uuid,
}

pub(crate) struct FollowRequestDeleted {
    profile_id: Uuid,
    follow_request_id: Uuid,
}

pub(crate) struct FollowRequestRejected {
    profile_id: Uuid,
    follow_request_id: Uuid,
}

pub(crate) struct FollowRequestAccepted {
    profile_id: Uuid,
    follow_id: Uuid,
    follow_request_id: Uuid,
}

pub(crate) struct UndoneFollowRequestAccepted {
    profile_id: Uuid,
    follow_id: Uuid,
}

pub(crate) struct Unfollowed {
    profile_id: Uuid,
    follow_id: Uuid,
}

pub(crate) struct Blocked {
    block_id: Uuid,
}

pub(crate) struct Unblocked {
    profile_id: Uuid,
    block_id: Uuid,
}
